Bug 491176 - Sound card breaks new and existing vm's
Sound card breaks new and existing vm's
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 14:05 EDT by Jerry Amundson
Modified: 2009-03-25 07:17 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 07:17:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
no /dev/kqemu error (224.02 KB, image/pcx)
2009-03-19 14:05 EDT, Jerry Amundson
no flags Details

  None (edit)
Description Jerry Amundson 2009-03-19 14:05:50 EDT
Created attachment 335898 [details]
no /dev/kqemu error

Description of problem:
The presence of a sound card causes new and existing vm's to not start.

Version-Release number of selected component (if applicable):
qemu-0.10-0.9.kvm20090310git.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1.from virt-manager, start virtual machine
2.
3.
  
Actual results:
traceback

Expected results:
a running vm

Additional info:
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 493, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 558, in startup
    self.vm.create()
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 287, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error unable to start guest: char device redirected to /dev/pts/2
char device redirected to /dev/pts/3
Could not open '/dev/kqemu' - QEMU acceleration layer not activated: No such file or directory
Comment 1 Jerry Amundson 2009-03-19 18:12:19 EDT
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Glauber Costa 2009-03-19 23:22:17 EDT
Can you include libvirt logs in bug report?
Comment 3 Jerry Amundson 2009-03-19 23:45:34 EDT
From qemu/WinXP.log:
# cat WinXP.log
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin /usr/bin/qemu -S -M pc -m 512 -smp 1 -name WinXP -uuid 287ef482-42d8-09b9-ff60-e670fdb66aa9 -monitor pty -pidfile /var/run/libvirt/qemu//WinXP.pid -localtime -no-reboot -no-acpi -boot c -drive file=/home/images/WinXP.img,if=ide,index=0,boot=on -drive file=/home/images/F10-x86_64-Live-KDE.iso,if=ide,media=cdrom,index=2 -net nic,macaddr=54:52:00:4f:4b:70,vlan=0 -net tap,fd=17,script=,vlan=0,ifname=vnet0 -serial pty -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:0 -k en-us -soundhw es1370 
char device redirected to /dev/pts/1
char device redirected to /dev/pts/3
Could not open '/dev/kqemu' - QEMU acceleration layer not activated: No such file or directory
Failed to stat runtime directory /root/.pulse/131ee6d298193471cb8674ac4963d95d:runtime: Permission denied


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Mark McLoughlin 2009-03-25 07:17:08 EDT
This should be fixed by:

* Tue Mar 17 2009 Daniel P. Berrange <berrange@redhat.com> - 0.6.1-5.fc11
- Don't relabel shared/readonly disks
- Disable sound cards when running sVirt

See also bug #477955

Note You need to log in before you can comment on or make changes to this bug.